Bug 1459019 - Host upgrade check have unusable error event if package is missing
Host upgrade check have unusable error event if package is missing
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: BLL.Infra (Show other bugs)
4.1.1.3
All All
unspecified Severity low (vote)
: ovirt-4.3.0
: ---
Assigned To: Martin Perina
Pavel Stehlik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 03:22 EDT by Lukas Svaty
Modified: 2018-01-04 04:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.3+


Attachments (Terms of Use)

  None (edit)
Description Lukas Svaty 2017-06-06 03:22:14 EDT
Description of problem:
When via WA portal starting upgrade check on host, the engine produces this event:
Failed to check if updates are available for host 'moonmoon' with error message 'Command returned failure code 1 during SSH session 'root@4242.4242.4242.4242''

however in engine.log you can see the reason behind this:

2017-06-06 09:03:26,628+02 ERROR [org.ovirt.engine.core.bll.hostdeploy.VdsDeployBase] (VdsDeploy) [ebf3cf0b-122c-4956-9551-63b93b056bb6] Yum: Cannot queue package collectd-disk: Package collectd-disk cannot be found

Would be much better if failed installation event contained this message instead.

Version-Release number of selected component (if applicable):
ovirt-engine-4.1.3.1-0.1.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1. Have 4.1 Host
2. Move to maintenance
3. add exclude=collectd* to yum.conf
4. Activate host
5. Check for updates via WA portal in host

Actual results:
Failed to check if updates are available for host 'moonmoon' with error message 'Command returned failure code 1 during SSH session 'root@4242.4242.4242.4242''


Expected results:
Failed to check if updates are available for host 'moonmoon' with error message 'Yum: Cannot queue package collectd-disk: Package collectd-disk cannot be found'


Additional info:
Failed to check if updates are available for host 'moonmoon' with error message 'Command returned failure code 1 during SSH session 'root@4242.4242.4242.4242''

Also s/'texttext 'inner text''s/"texttext 'inner text'"/
Comment 1 Oved Ourfali 2017-06-07 08:11:14 EDT
Martin - is that possible to fix in the current capabilities of ovirt-host-deploy?
Comment 2 Martin Perina 2017-06-07 08:41:18 EDT
AFAIK (In reply to Oved Ourfali from comment #1)
> Martin - is that possible to fix in the current capabilities of
> ovirt-host-deploy?

AFAIK error messages are passed independently to engine during host-deploy execution and at the end of host-deploy execution we don't have the exact error available. But we will try to take a look, if we can make the error message a bit more user friendly.

Note You need to log in before you can comment on or make changes to this bug.